API Explorer 936 endpoints

Update Bank Attribute

PUT /obp/v7.0.0/banks/BANK_ID/attributes/BANK_ATTRIBUTE_ID

OBPv4.0.0-updateBankAttribute Roles: CanUpdateBankAttribute(per bank) BankBank-AttributeAttribute

Update Bank Attribute.

Update one Bak Attribute by its id.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ATTRIBUTE_ID: BANK_ATTRIBUTE_ID

BANK_ID: gh.29.uk

JSON response body fields (7)
alias
can_be_seen_on_views
false
category
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_active
false
name
ACCOUNT_MANAGEMENT_FEE
type
Example request body
{
  "name": "TAX_ID",
  "type": "INTEGER",
  "value": "12345678",
  "is_active": true
}
Example success response
{
  "name": "SPECIAL_TAX_NUMBER",
  "category": "Bank",
  "type": "STRING",
  "description": "description",
  "alias": "STRING",
  "can_be_seen_on_views": [
    "bank"
  ],
  "is_active": true
}
Possible errors (3)
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
  • OBP-20001: User not logged in. Authentication is required!
Implemented by OBPv4.0.0 updateBankAttribute Originally /obp/v4.0.0/banks/BANK_ID/attributes/BANK_ATTRIBUTE_ID